#include "SprinklerDevice.h"


CSprinklerDevice::CSprinklerDevice()
{
    mDeviceLocation = "Backyard";
    mDeviceAddress = 1;
    mSprinklerState = SPRINKLER_UNKNOWN_STATE;
    mFlowMeter = 0;
}

int CSprinklerDevice::SetSprinklerState(SprinklerState State)
{
    mSprinklerState = State;
    return 1;
}

SprinklerState CSprinklerDevice::GetSprinklerState()
{
    return mSprinklerState;
}

int CSprinklerDevice::SetFlow(unsigned short flow)
{
    mFlowMeter = flow;
    return 1;
}

unsigned short CSprinklerDevice::GetFlow()
{
    return mFlowMeter;
}
